/********************************************************************************/
/* Name		:QueryTag.java						*/
/* Copyright		:2003 SATCOMLABS LTD.						*/
/* Team		:Spam Control Team							*/
/* Developer		:Manzar Imam								*/
/* Last Updated	:04:00 PM 01/01/2004						*/
/* Abstract		:To execute the insert query in the jsp				*/
/* Called from	:Any File which wants to insert, Update, Delete in the databse			*/
/* Calls		:									*/
/********************************************************************************/

package taglibrary;

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.text.SimpleDateFormat;
import java.util.*;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.DBConnection;

/**
 *	QueryTag
 */
 
public class QueryTag extends BodyTagSupport
{
	// Create the object of DBConnection 
	DBConnection dbconn = new DBConnection ();
	
	/**
	 *	Reads the SQl insert, Update, Delete query in the body of the tag
	 *	and make entry to the datebase table
	 */
	
	public int doEndTag () throws JspException
	{
		// Get the sql to be run
		
		String sql = bodyContent.getString ();
		if ( sql == null )
			throw new JspException
			( "No SQL statement found in body of InsertQuery Tag" );
		
		sql = sql.trim();
		if ( sql.equals( "" ) )
			throw new JspException
			( "Empty SQL statement found in body of InsertQuery tag" );
		
		// Locate the connection class..
		
		// Run the SQL query
		// Declare the connection etc
		Connection conn = null;
		Statement smt = null;
	
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement ();
			smt.executeUpdate( sql );
		}
		catch ( SQLException sqle ) {
			try {
				pageContext.getOut().print( sqle );
			} catch ( Exception ex )
			{	System.out.println( ex );	}
			//throw new JspException ( sqle.getMessage() );
		}
		catch ( Exception e ) {
			//throw new JspException ( e.getMessage() );
			System.out.println( e );
		}
		finally
		{
			// Close the statement, connection
			try
			{
				smt.close();
				conn.close();
			} catch ( Exception ignore ) {}
		}
		//pageContext.setAttribute("retVal", "Manzar Imam");
		// Normal return
		return EVAL_PAGE;
	}
}